package com.huyi.task.base.service;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huyi.task.base.entity.SysCompanyProduct;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import java.util.List;

/**
 * ClassName: ISysCompanyProductService<br>
 * Description: SysCompanyProductService接口 <br>
 * Company: keao
 *
 * @author cuixq
 * @version v1.0.0    2021-09-01  cuixq    由Generator自动创建
 */
public interface ISysCompanyProductService extends IService<SysCompanyProduct> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<SysCompanyProduct>
     * @return IPage<SysCompanyProduct>
     */
    IPage<SysCompanyProduct> findSysCompanyProducts(QueryRequest request, LambdaQueryWrapper<SysCompanyProduct> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<SysCompanyProduct>
     * @return List<SysCompanyProduct>
     */
    List<SysCompanyProduct> findSysCompanyProducts(LambdaQueryWrapper<SysCompanyProduct> wrapper);

    /**
     * 新增
     *
     * @param sysCompanyProduct sysCompanyProduct
     */
    void createSysCompanyProduct(SysCompanyProduct sysCompanyProduct);

    /**
     * 修改
     *
     * @param sysCompanyProduct sysCompanyProduct
     */
    void updateSysCompanyProduct(SysCompanyProduct sysCompanyProduct);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<SysCompanyProduct>
     */
    void deleteSysCompanyProduct(LambdaQueryWrapper<SysCompanyProduct> wrapper);
}
