package com.huyi.task.base.service;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huyi.task.base.entity.SysRole;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import java.util.List;

/**
 * ClassName: ISysRoleService<br>
 * Description: SysRoleService接口 <br>
 * Company: keao
 *
 * @author cuixq
 * @version v1.0.0    2021-09-01  cuixq    由Generator自动创建
 */
public interface ISysRoleService extends IService<SysRole> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<SysRole>
     * @return IPage<SysRole>
     */
    IPage<SysRole> findSysRoles(QueryRequest request, LambdaQueryWrapper<SysRole> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<SysRole>
     * @return List<SysRole>
     */
    List<SysRole> findSysRoles(LambdaQueryWrapper<SysRole> wrapper);

    /**
     * 新增
     *
     * @param sysRole sysRole
     */
    void createSysRole(SysRole sysRole);

    /**
     * 修改
     *
     * @param sysRole sysRole
     */
    void updateSysRole(SysRole sysRole);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<SysRole>
     */
    void deleteSysRole(LambdaQueryWrapper<SysRole> wrapper);
}
