package com.huyi.task.base.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huyi.task.base.entity.ZcInvoiceAddress;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import java.util.List;

/**
 * ClassName: IZcInvoiceAddressService<br>
 * Description: ZcInvoiceAddressService接口 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
public interface IZcInvoiceAddressService extends IService<ZcInvoiceAddress> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<ZcInvoiceAddress>
     * @return IPage<ZcInvoiceAddress>
     */
    IPage<ZcInvoiceAddress> findZcInvoiceAddresss(QueryRequest request, LambdaQueryWrapper<ZcInvoiceAddress> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<ZcInvoiceAddress>
     * @return List<ZcInvoiceAddress>
     */
    List<ZcInvoiceAddress> findZcInvoiceAddresss(LambdaQueryWrapper<ZcInvoiceAddress> wrapper);

    /**
     * 新增
     *
     * @param zcInvoiceAddress zcInvoiceAddress
     */
    void createZcInvoiceAddress(ZcInvoiceAddress zcInvoiceAddress);

    /**
     * 修改
     *
     * @param zcInvoiceAddress zcInvoiceAddress
     */
    void updateZcInvoiceAddress(ZcInvoiceAddress zcInvoiceAddress);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<ZcInvoiceAddress>
     */
    void deleteZcInvoiceAddress(LambdaQueryWrapper<ZcInvoiceAddress> wrapper);
}
