package com.huyi.task.base.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huyi.task.base.entity.ZcFinanceContract;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import java.util.List;

/**
 * ClassName: IZcFinanceContractService<br>
 * Description: ZcFinanceContractService接口 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
public interface IZcFinanceContractService extends IService<ZcFinanceContract> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<ZcFinanceContract>
     * @return IPage<ZcFinanceContract>
     */
    IPage<ZcFinanceContract> findZcFinanceContracts(QueryRequest request, LambdaQueryWrapper<ZcFinanceContract> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<ZcFinanceContract>
     * @return List<ZcFinanceContract>
     */
    List<ZcFinanceContract> findZcFinanceContracts(LambdaQueryWrapper<ZcFinanceContract> wrapper);

    /**
     * 新增
     *
     * @param zcFinanceContract zcFinanceContract
     */
    void createZcFinanceContract(ZcFinanceContract zcFinanceContract);

    /**
     * 修改
     *
     * @param zcFinanceContract zcFinanceContract
     */
    void updateZcFinanceContract(ZcFinanceContract zcFinanceContract);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<ZcFinanceContract>
     */
    void deleteZcFinanceContract(LambdaQueryWrapper<ZcFinanceContract> wrapper);
}
