package com.huyi.task.base.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huyi.task.base.entity.ZcFinanceQuotaConRel;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import java.util.List;

/**
 * ClassName: IZcFinanceQuotaConRelService<br>
 * Description: ZcFinanceQuotaConRelService接口 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-20  xuefy    由Generator自动创建
 */
public interface IZcFinanceQuotaConRelService extends IService<ZcFinanceQuotaConRel> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<ZcFinanceQuotaConRel>
     * @return IPage<ZcFinanceQuotaConRel>
     */
    IPage<ZcFinanceQuotaConRel> findZcFinanceQuotaConRels(QueryRequest request, LambdaQueryWrapper<ZcFinanceQuotaConRel> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<ZcFinanceQuotaConRel>
     * @return List<ZcFinanceQuotaConRel>
     */
    List<ZcFinanceQuotaConRel> findZcFinanceQuotaConRels(LambdaQueryWrapper<ZcFinanceQuotaConRel> wrapper);

    /**
     * 新增
     *
     * @param zcFinanceQuotaConRel zcFinanceQuotaConRel
     */
    void createZcFinanceQuotaConRel(ZcFinanceQuotaConRel zcFinanceQuotaConRel);

    /**
     * 修改
     *
     * @param zcFinanceQuotaConRel zcFinanceQuotaConRel
     */
    void updateZcFinanceQuotaConRel(ZcFinanceQuotaConRel zcFinanceQuotaConRel);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<ZcFinanceQuotaConRel>
     */
    void deleteZcFinanceQuotaConRel(LambdaQueryWrapper<ZcFinanceQuotaConRel> wrapper);
}
